---
title: continue
slug: Web/JavaScript/Reference/Statements/continue
tags:
  - JavaScript
  - Language feature
  - Statement
---
<div>{{jsSidebar("Statements")}}</div>

<p>The <strong><code>continue</code> statement</strong> terminates execution of the statements in the current iteration of the current or labeled loop, and continues execution of the loop with the next iteration.</p>

<div>{{EmbedInteractiveExample("pages/js/statement-continue.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">continue [<var>label</var>];</pre>

<dl>
 <dt><code><var>label</var></code></dt>
 <dd>Identifier associated with the label of the statement.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>In contrast to the {{jsxref("Statements/break", "break")}} statement, <code>continue</code> does not terminate the execution of the loop entirely: instead,</p>

<ul>
 <li>In a {{jsxref("Statements/while", "while")}} loop, it jumps back to the condition.</li>
</ul>

<ul>
 <li>In a {{jsxref("Statements/for", "for")}} loop, it jumps to the update expression.</li>
</ul>

<p>The <code>continue</code> statement can include an optional label that allows the program to jump to the next iteration of a labeled loop statement instead of the current loop. In this case, the <code>continue</code> statement needs to be nested within this labeled statement.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_continue_with_while">Using continue with while</h3>

<p>The following example shows a {{jsxref("Statements/while", "while")}} loop that has a <code>continue</code> statement that executes when the value of <code>i</code> is 3. Thus, <code>n</code> takes on the values 1, 3, 7, and 12.</p>

<pre class="brush: js notranslate">var i = 0;
var n = 0;

while (i &lt; 5) {
  i++;

  if (i === 3) {
    continue;
  }

  n += i;
}
</pre>

<h3 id="Using_continue_with_a_label">Using continue with a label</h3>

<p>In the following example, a statement labeled <code>checkiandj</code> contains a statement labeled <code>checkj</code>. If <code>continue</code> is encountered, the program continues at the top of the <code>checkj</code> statement. Each time <code>continue</code> is encountered, <code>checkj</code> reiterates until its condition returns false. When false is returned, the remainder of the <code>checkiandj</code> statement is completed.</p>

<p>If <code>continue</code> had a label of <code>checkiandj</code>, the program would continue at the top of the <code>checkiandj</code> statement.</p>

<p>See also {{jsxref("Statements/label", "label", "", 1)}}.</p>

<pre class="brush: js notranslate">var i = 0;
var j = 8;

checkiandj: while (i &lt; 4) {
  console.log('i: ' + i);
  i += 1;

  checkj: while (j &gt; 4) {
    console.log('j: ' + j);
    j -= 1;

    if ((j % 2) == 0)
      continue checkj;
    console.log(j + ' is odd.');
  }
  console.log('i = ' + i);
  console.log('j = ' + j);
}
</pre>

<p>Output:</p>

<pre class="brush: js notranslate">i: 0

// start checkj
j: 8
7 is odd.
j: 7
j: 6
5 is odd.
j: 5
// end checkj

i = 1
j = 4

i: 1
i = 2
j = 4

i: 2
i = 3
j = 4

i: 3
i = 4
j = 4
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-continue-statement', 'Continue statement')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.statements.continue")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Statements/break", "break")}}</li>
 <li>{{jsxref("Statements/label", "label", "", 1)}}</li>
</ul>
